summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD29
-rw-r--r--sawfish.install21
3 files changed, 68 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..57eb6df71ac
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = sawfish
+ pkgdesc = An extensible window manager using a Lisp-based scripting language
+ pkgver = 1.11
+ pkgrel = 1
+ url = http://sawfish.wikia.com/wiki/Main_Page
+ install = sawfish.install
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = libsm
+ depends = rep-gtk
+ depends = hicolor-icon-theme
+ options = !libtool
+ source = http://download.tuxfamily.org/sawfish/sawfish_1.11.tar.xz
+ sha1sums = a2a0190ed11c5e3e8d0ca30a6a3d533efaa1b470
+
+pkgname = sawfish
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a98d6d51b2b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Contributor: Joshua Stiefer <facedelajunk@gmail.com>
+# Maintainer: stefan-husmann@t-online.de
+# Contributor: Juergen Hoetzel <juergen@archlinux.org>
+
+pkgname=sawfish
+pkgver=1.11
+pkgrel=1
+pkgdesc="An extensible window manager using a Lisp-based scripting language"
+arch=('i686' 'x86_64')
+url="http://sawfish.wikia.com/wiki/Main_Page"
+license=('GPL')
+depends=('libsm' 'rep-gtk' 'hicolor-icon-theme')
+install=${pkgname}.install
+source=(http://download.tuxfamily.org/${pkgname}/${pkgname}_${pkgver}.tar.xz)
+sha1sums=('a2a0190ed11c5e3e8d0ca30a6a3d533efaa1b470')
+options=('!libtool')
+build() {
+ cd "${srcdir}/${pkgname}_${pkgver}"
+ ./configure --prefix=/usr --libexecdir=/usr/lib
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}_${pkgver}"
+ make DESTDIR="${pkgdir}" install
+ install -Dm644 sawfish.el $pkgdir/usr/share/emacs/site-lisp/sawfish.el
+ install -Dm644 lisp/sawfish/wm/tile/readme.org \
+ $pkgdir/usr/share/doc/$pkgname/readme.tiling.org
+}
diff --git a/sawfish.install b/sawfish.install
new file mode 100644
index 00000000000..3b43a746612
--- /dev/null
+++ b/sawfish.install
@@ -0,0 +1,21 @@
+infodir=/usr/share/info
+file=sawfish.info
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+} \ No newline at end of file